---
title: Downtimes
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Downtimes
---

# Downtimes
Copy pageCopied
[Downtiming](https://docs.datadoghq.com/monitors/notify/downtimes.md) gives you greater control over monitor notifications by allowing you to globally exclude scopes from alerting. Downtime settings, which can be scheduled with start and end times, prevent all alerting related to specified Datadog tags.

**Note:** `curl` commands require [url encoding](https://curl.se/docs/url-syntax.html).

## Get all downtimes →{% #get-all-downtimes %}

| Datadog site      | API endpoint                                      |
| ----------------- | ------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/downtime |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/downtime |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/downtime      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/downtime      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/downtime  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/downtime     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/downtime |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/downtime |

## Schedule a downtime →{% #schedule-a-downtime %}

| Datadog site      | API endpoint                                       |
| ----------------- | -------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/downtime |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/downtime |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/downtime      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/downtime      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/downtime  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/downtime     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/downtime |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/downtime |

## Cancel downtimes by scope → deprecated{% #cancel-downtimes-by-scope %}

| Datadog site      | API endpoint                                                       |
| ----------------- | ------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v1/downtime/cancel/by_scope |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v1/downtime/cancel/by_scope |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v1/downtime/cancel/by_scope      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v1/downtime/cancel/by_scope      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v1/downtime/cancel/by_scope  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v1/downtime/cancel/by_scope     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v1/downtime/cancel/by_scope |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v1/downtime/cancel/by_scope |

## Cancel a downtime →{% #cancel-a-downtime %}

| Datadog site      | API endpoint                                                       |
| ----------------- | ------------------------------------------------------------------ |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/downtime/{downtime_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/downtime/{downtime_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/downtime/{downtime_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/downtime/{downtime_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/downtime/{downtime_id}  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/downtime/{downtime_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/downtime/{downtime_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/downtime/{downtime_id} |

## Get a downtime →{% #get-a-downtime %}

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/downtime/{downtime_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/downtime/{downtime_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/downtime/{downtime_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/downtime/{downtime_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/downtime/{downtime_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/downtime/{downtime_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/downtime/{downtime_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/downtime/{downtime_id} |

## Update a downtime →{% #update-a-downtime %}

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/downtime/{downtime_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/downtime/{downtime_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/downtime/{downtime_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/downtime/{downtime_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/downtime/{downtime_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/downtime/{downtime_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/downtime/{downtime_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/downtime/{downtime_id} |

## Get active downtimes for a monitor →{% #get-active-downtimes-for-a-monitor %}

| Datadog site      | API endpoint                                                                   |
| ----------------- | ------------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/monitor/{monitor_id}/downtime_matches |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/monitor/{monitor_id}/downtime_matches |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/monitor/{monitor_id}/downtime_matches      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/monitor/{monitor_id}/downtime_matches      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/monitor/{monitor_id}/downtime_matches  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/monitor/{monitor_id}/downtime_matches     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/monitor/{monitor_id}/downtime_matches |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/monitor/{monitor_id}/downtime_matches |
